create or alter procedure ADDONKOPROC (
    V_DIAG_TIP integer,
    V_PROT integer,
    V_DS1_T integer,
    V_STAD integer,
    V_ONK_T integer,
    V_ONK_N integer,
    V_ONK_M integer,
    V_MTSTZ integer,
    V_DIAG_CODE integer,
    V_DIAG_RSLT integer,
    V_D_PROT date, 
    V_STATTALON_NUMBER integer,
    V_ID_REPORT integer)
as
declare variable ID_STATTALON integer;
BEGIN
    ID_STATTALON = -1;
    SELECT ID_STATTALON FROM STATTALON
        WHERE ID_REPORT = :V_ID_REPORT AND NUMBER_IN_REPORT = :V_STATTALON_NUMBER
        INTO :ID_STATTALON;

    if (ID_STATTALON <> -1) then
    BEGIN
    INSERT INTO onko_sl(DIAG_TIP,
    PROT ,
    DS1_T ,
    STAD ,
    ONK_T ,
    ONK_N ,
    ONK_M ,
    MTSTZ ,
    DIAG_CODE ,
    DIAG_RSLT ,
    D_PROT ,
    IDENT )
    VALUES(    :V_DIAG_TIP ,
    :V_PROT ,
    :V_DS1_T ,
    :V_STAD ,
    :V_ONK_T ,
    :V_ONK_N ,
    :V_ONK_M ,
    :V_MTSTZ ,
    :V_DIAG_CODE ,
    :V_DIAG_RSLT ,
    :V_D_PROT,
    :ID_STATTALON);
    END
END
